Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TExtensibleAttributesDocumented

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleAttributesDocumented

Direct Known Subclasses:
  TFault, TImport, TParam, TPart, TPortType

    public abstract class TExtensibleAttributesDocumented

extends TDocumented

Java class for tExtensibleAttributesDocumented complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tExtensibleAttributesDocumented">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tDocumented">
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </complexContent>
     </complexType>

Field Summary

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TExtensibleAttributesDocumented()`

Method Summary
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TExtensibleAttributesDocumented

    public TExtensibleAttributesDocumented()

Method Detail

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF